Package org.eclipse.emf.cdo.common.revision

## Class CDORevisionHandler.Filtered.Undetached

- java.lang.Object
- - org.eclipse.emf.cdo.common.revision.CDORevisionHandler.Filtered
  - - org.eclipse.emf.cdo.common.revision.CDORevisionHandler.Filtered.Undetached

- All Implemented Interfaces:
    `CDORevisionHandler`
  Enclosing class:
    CDORevisionHandler.Filtered

      public static final class CDORevisionHandler.Filtered.Undetached
      extends CDORevisionHandler.Filtered

  A delegating `revision handler` that filters detached revisions.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.common.revision.CDORevisionHandler.Filtered

      `CDORevisionHandler.Filtered.Undetached`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.revision.CDORevisionHandler

      `CDORevisionHandler.Filtered`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Undetached​(CDORevisionHandler delegate)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected boolean` | `filter​(CDORevision revision)` |

    - ### Methods inherited from class org.eclipse.emf.cdo.common.revision.CDORevisionHandler.Filtered

      `handleRevision`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Undetached

          public Undetached​(CDORevisionHandler delegate)

  - ### Method Detail

    - #### filter

          protected boolean filter​(CDORevision revision)

      Overrides:
        `filter` in class `CDORevisionHandler.Filtered`